Custom hostnames
One custom hostname (scope: sites:read)
GET
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
id*stringCustom hostname id
Format
uuidOK
application/json- response
data*error*nullcurl -X GET "https://example.com/custom-hostnames/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "domain": "string", "target": "store", "status": "pending_verification", "ssl_status": "none", "store_id": "7fe87115-950c-4ae8-bd7e-970406bc9ac0", "website_id": "9a5872c2-0bf0-4c68-9c27-86a09b05bf66", "verified_at": "2019-08-24T14:15:22Z", "last_checked_at": "2019-08-24T14:15:22Z", "last_error": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "error": null}Release the Cloudflare custom hostname, then delete the row; if Cloudflare refuses, the row is kept as delete_failed and the call answers 502 (retry). Honours Idempotency-Key. (scope: sites:write) DELETE
Previous Page
The DNS records to publish: TXT ownership proof, CNAME target and Cloudflare DCV records (scope: sites:read) GET
Next Page